@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  aerospike-xdr-proxy startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and AEROSPIKE_XDR_PROXY_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\aerospike-xdr-proxy-1.0.0.jar;%APP_HOME%\lib\aerospike-outbound-server-1.0.7.jar;%APP_HOME%\lib\aerospike-aerospike-1.0.5.jar;%APP_HOME%\lib\aerospike-logging-1.0.1.jar;%APP_HOME%\lib\aerospike-tls-1.0.2.jar;%APP_HOME%\lib\aerospike-serde-1.0.1.jar;%APP_HOME%\lib\aerospike-io-1.0.0.jar;%APP_HOME%\lib\aerospike-undertow-patch-1.0.2.jar;%APP_HOME%\lib\lombok-1.18.8.jar;%APP_HOME%\lib\guice-assistedinject-4.2.2.jar;%APP_HOME%\lib\guice-bridge-2.6.1.jar;%APP_HOME%\lib\guice-servlet-4.2.2.jar;%APP_HOME%\lib\guice-4.2.2.jar;%APP_HOME%\lib\picocli-3.5.2.jar;%APP_HOME%\lib\kotlinx-coroutines-core-1.3.8.jar;%APP_HOME%\lib\kotlin-logging-1.6.25.jar;%APP_HOME%\lib\jackson-module-kotlin-2.9.8.jar;%APP_HOME%\lib\kotlin-reflect-1.3.10.jar;%APP_HOME%\lib\kotlin-stdlib-1.3.71.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\swagger-jaxrs-1.5.20.jar;%APP_HOME%\lib\reflections-0.9.11.jar;%APP_HOME%\lib\swagger-core-1.5.20.jar;%APP_HOME%\lib\guava-25.1-android.jar;%APP_HOME%\lib\xnio-nio-3.7.1.Final.jar;%APP_HOME%\lib\xnio-api-3.7.1.Final.jar;%APP_HOME%\lib\bcprov-jdk15on-1.61.jar;%APP_HOME%\lib\caffeine-2.8.0.jar;%APP_HOME%\lib\metrics-json-4.1.0.jar;%APP_HOME%\lib\activation-1.1.1.jar;%APP_HOME%\lib\jaxb-api-2.3.1.jar;%APP_HOME%\lib\undertow-servlet-2.0.20.Final.jar;%APP_HOME%\lib\jersey-container-servlet-core-2.29.jar;%APP_HOME%\lib\jersey-server-2.29.jar;%APP_HOME%\lib\jersey-hk2-2.29.jar;%APP_HOME%\lib\jersey-media-multipart-2.29.jar;%APP_HOME%\lib\jersey-media-json-jackson-2.29.jar;%APP_HOME%\lib\aerospike-client-4.4.14.jar;%APP_HOME%\lib\gnu-crypto-2.0.1.jar;%APP_HOME%\lib\luaj-jse-3.0.jar;%APP_HOME%\lib\jbcrypt-0.4.jar;%APP_HOME%\lib\netty-all-4.1.50.Final.jar;%APP_HOME%\lib\kafka-avro-serializer-5.3.0.jar;%APP_HOME%\lib\kafka-schema-registry-client-5.3.0.jar;%APP_HOME%\lib\avro-1.9.1.jar;%APP_HOME%\lib\jackson-dataformat-yaml-2.9.8.jar;%APP_HOME%\lib\jackson-module-jaxb-annotations-2.9.9.jar;%APP_HOME%\lib\jackson-dataformat-msgpack-0.8.16.jar;%APP_HOME%\lib\jackson-databind-2.9.9.3.jar;%APP_HOME%\lib\jackson-core-2.9.9.jar;%APP_HOME%\lib\msgpack-core-0.8.16.jar;%APP_HOME%\lib\kotlin-logging-common-1.6.25.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.3.71.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\common-config-5.3.0.jar;%APP_HOME%\lib\common-utils-5.3.0.jar;%APP_HOME%\lib\zkclient-0.10.jar;%APP_HOME%\lib\zookeeper-3.4.14.jar;%APP_HOME%\lib\spotbugs-annotations-3.1.9.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-compat-qual-2.0.0.jar;%APP_HOME%\lib\error_prone_annotations-2.3.3.jar;%APP_HOME%\lib\j2objc-annotations-1.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.14.jar;%APP_HOME%\lib\jul-to-slf4j-1.7.26.jar;%APP_HOME%\lib\logback-classic-1.2.3.jar;%APP_HOME%\lib\metrics-core-4.1.0.jar;%APP_HOME%\lib\swagger-models-1.5.20.jar;%APP_HOME%\lib\kafka-clients-5.3.0-ccs.jar;%APP_HOME%\lib\slf4j-api-1.7.26.jar;%APP_HOME%\lib\logback-core-1.2.3.jar;%APP_HOME%\lib\jackson-annotations-2.9.9.jar;%APP_HOME%\lib\commons-io-2.6.jar;%APP_HOME%\lib\hk2-locator-2.5.0.jar;%APP_HOME%\lib\javassist-3.22.0-CR2.jar;%APP_HOME%\lib\wildfly-client-config-1.0.0.Final.jar;%APP_HOME%\lib\jboss-threads-2.3.0.Beta2.jar;%APP_HOME%\lib\wildfly-common-1.3.0.Final.jar;%APP_HOME%\lib\checker-qual-2.10.0.jar;%APP_HOME%\lib\javax.activation-api-1.2.0.jar;%APP_HOME%\lib\jboss-logging-3.3.2.Final.jar;%APP_HOME%\lib\jboss-servlet-api_4.0_spec-1.0.0.Final.jar;%APP_HOME%\lib\jboss-annotations-api_1.2_spec-1.0.2.Final.jar;%APP_HOME%\lib\jersey-client-2.29.jar;%APP_HOME%\lib\jersey-media-jaxb-2.29.jar;%APP_HOME%\lib\jersey-common-2.29.jar;%APP_HOME%\lib\jersey-entity-filtering-2.29.jar;%APP_HOME%\lib\jakarta.ws.rs-api-2.1.5.jar;%APP_HOME%\lib\hk2-api-2.6.1.jar;%APP_HOME%\lib\hk2-utils-2.6.1.jar;%APP_HOME%\lib\jakarta.annotation-api-1.3.4.jar;%APP_HOME%\lib\jakarta.inject-2.6.1.jar;%APP_HOME%\lib\validation-api-2.0.1.Final.jar;%APP_HOME%\lib\mimepull-1.9.11.jar;%APP_HOME%\lib\jsr311-api-1.1.1.jar;%APP_HOME%\lib\commons-compress-1.19.jar;%APP_HOME%\lib\snakeyaml-1.23.jar;%APP_HOME%\lib\osgi-resource-locator-1.0.3.jar;%APP_HOME%\lib\aopalliance-repackaged-2.6.1.jar;%APP_HOME%\lib\commons-lang3-3.2.1.jar;%APP_HOME%\lib\swagger-annotations-1.5.20.jar;%APP_HOME%\lib\zstd-jni-1.4.0-1.jar;%APP_HOME%\lib\lz4-java-1.6.0.jar;%APP_HOME%\lib\snappy-java-1.1.7.3.jar;%APP_HOME%\lib\jline-0.9.94.jar;%APP_HOME%\lib\audience-annotations-0.5.0.jar;%APP_HOME%\lib\netty-3.10.6.Final.jar

@rem Execute aerospike-xdr-proxy
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %AEROSPIKE_XDR_PROXY_OPTS%  -classpath "%CLASSPATH%" com.aerospike.connect.xdr.proxy.XdrProxyServerKt %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable AEROSPIKE_XDR_PROXY_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%AEROSPIKE_XDR_PROXY_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
